import type { PropType as __PropType } from 'vue';
import type { TresColor } from '@tresjs/core';
import type { Object3D, Texture } from 'three';
import type { BlendFunction, KernelSize } from 'postprocessing';
export type OutlineProps = {
    /**
     * The objects in the scene which should have an outline.
     */
    outlinedObjects: Object3D[];
    blur?: boolean;
    /**
     * Whether occluded parts of selected objects should be visible
     */
    xRay?: boolean;
    /**
     * The blur kernel size. Must be used with blur being true.
     */
    kernelSize?: KernelSize;
    /**
     * The pulse speed. A value of zero disables the pulse effect.
     */
    pulseSpeed?: number;
    resolutionX?: number;
    resolutionY?: number;
    edgeStrength?: number;
    patternScale?: number;
    /**
     * The number of samples used for multisample antialiasing. Requires WebGL 2.
     */
    multisampling?: number;
    /**
     * The blend function. Use `BlendFunction.ALPHA` for dark outlines.
     */
    blendFunction?: BlendFunction;
    patternTexture?: Texture;
    resolutionScale?: number;
    hiddenEdgeColor?: TresColor;
    visibleEdgeColor?: TresColor;
};
declare const _sfc_main: import("vue").DefineComponent<{
    outlinedObjects: {
        type: __PropType<Object3D<import("three").Event>[]>;
        required: true;
    };
    blur: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    xRay: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    kernelSize: {
        type: __PropType<KernelSize | undefined>;
        required: false;
    };
    pulseSpeed: {
        type: __PropType<number | undefined>;
        required: false;
    };
    resolutionX: {
        type: __PropType<number | undefined>;
        required: false;
    };
    resolutionY: {
        type: __PropType<number | undefined>;
        required: false;
    };
    edgeStrength: {
        type: __PropType<number | undefined>;
        required: false;
    };
    patternScale: {
        type: __PropType<number | undefined>;
        required: false;
    };
    multisampling: {
        type: __PropType<number | undefined>;
        required: false;
    };
    blendFunction: {
        type: __PropType<BlendFunction | undefined>;
        required: false;
    };
    patternTexture: {
        type: __PropType<Texture | undefined>;
        required: false;
    };
    resolutionScale: {
        type: __PropType<number | undefined>;
        required: false;
    };
    hiddenEdgeColor: {
        type: __PropType<[r: number, g: number, b: number] | import("three").ColorRepresentation | undefined>;
        required: false;
    };
    visibleEdgeColor: {
        type: __PropType<[r: number, g: number, b: number] | import("three").ColorRepresentation | undefined>;
        required: false;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    outlinedObjects: {
        type: __PropType<Object3D<import("three").Event>[]>;
        required: true;
    };
    blur: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    xRay: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    kernelSize: {
        type: __PropType<KernelSize | undefined>;
        required: false;
    };
    pulseSpeed: {
        type: __PropType<number | undefined>;
        required: false;
    };
    resolutionX: {
        type: __PropType<number | undefined>;
        required: false;
    };
    resolutionY: {
        type: __PropType<number | undefined>;
        required: false;
    };
    edgeStrength: {
        type: __PropType<number | undefined>;
        required: false;
    };
    patternScale: {
        type: __PropType<number | undefined>;
        required: false;
    };
    multisampling: {
        type: __PropType<number | undefined>;
        required: false;
    };
    blendFunction: {
        type: __PropType<BlendFunction | undefined>;
        required: false;
    };
    patternTexture: {
        type: __PropType<Texture | undefined>;
        required: false;
    };
    resolutionScale: {
        type: __PropType<number | undefined>;
        required: false;
    };
    hiddenEdgeColor: {
        type: __PropType<[r: number, g: number, b: number] | import("three").ColorRepresentation | undefined>;
        required: false;
    };
    visibleEdgeColor: {
        type: __PropType<[r: number, g: number, b: number] | import("three").ColorRepresentation | undefined>;
        required: false;
    };
}>>, {}, {}>;
export default _sfc_main;
